/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for ClinicalContextECG
 */
public enum EnumCV_ClinicalContextECG 
{
	//TID 3701 Clinical Context, ECG
	CLINICAL_CONTEXT_122127("122127"),
	REASON_FOR_EXAM_122139("122139"),
	PATIENT_STATE_109054("109054"),
	REGULAR_MEDICATION_G_02D0("G-02D0"),
	PACEMAKER_IN_SITU_G_02EC("G-02EC"),
	HISTORY_121060("121060");

	private String value;

	EnumCV_ClinicalContextECG(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
